<?php
/**
Allows moderation of posted pictures.
**/
require_once 'util.php';
require_once 'form.php';
require_once 'galsettings.php';
require_once 'galdata.php';

// Get secret and check
$secret = req('secret');
if ($secret != GAL_SECRET) die('Not allowed');

$action = req('action');
$msg = '';

//  Get filename and load details
$fn = req('fn');
if ($fn) {
  $gal = new GalData(DIR_QUEUE);
  $found = $gal->loadFromFile($fn);
  if (!$found) {
    $msg = '<p>File could not be found.</p>';
  }
} else {
  $found = false;
}

if ($found) {
  // If Post then update data and move to gallery.
  if ($action == ACT_POST) {
    $gal->person = req(FN_PERSON);
    $gal->email = req(FN_EMAIL);
    $gal->doby = req(FN_DOBY);
    $gal->dobm = req(FN_DOBM);
    $gal->dobd = req(FN_DOBD);
    $gal->loc = req(FN_LOC);
    $gal->desc = req(FN_DESC);
    $gal->save();
    $gal->moveTo(DIR_PIC);
    $msg = '<p>Picture has been posted.</p>';
  } 
  // If Delete then move to trash.
  else if ($action == ACT_DELETE) {
    $gal->moveTo(DIR_TRASH);
    $msg = '<p>Picture has been deleted.</p>';
  }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
  xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
<title>Send Coloring Page to Gallery</title>
<link rel="stylesheet" type="text/css" href="admin.css" />
<link rel="stylesheet" type="text/css" href="form.css" />
</head>
<body>
<div id="main">
<?php
// Action - Posted or Deleted or List.
if ($action) {
  echo $msg;
  echo '<h1>Gallery Queue</h1>';
  GalData::showqueue();
// End: Action
} else {
// No Action - Show form for editing and Post / Delete.
?>
<div class="thumbnail"><img src="<?php echo $gal->tnfile(); ?>" width="<?php echo $gal->tnw;?>" 
height="<?php echo $gal->tnh;?>"></div>
<div id="info">
<?php 
readfile('mod.html');
formBegin('galform', 'galmod.php');
formRow(FN_PERSON, FLD_PERSON, $gal->person, FT_TEXT_MEDIUM);
formRow(FN_EMAIL, FLD_EMAIL, $gal->email, FT_TEXT_LARGE);
formRow(FN_DOB, FLD_DOB, $gal->dob(), FT_DATE);
formRow(FN_LOC, FLD_LOC, $gal->loc, FT_TEXT_MEDIUM);
formRow(FN_DESC, FLD_DESC, $gal->desc, FT_TEXT_AREA);

formButtons(array(ACT_POST, ACT_DELETE, ACT_LIST));

// Also, pass on extra variables to next script (galdone.php)
formHidden('fn', $fn);
formHidden('secret', $secret);
formEnd();
?>
</div>
<?php
// End: No Action
}
?>
</div>
</body>
</html>
