<?php
/**
Posts pictures from My Coloring Book to an online gallery.

Accepts post from My Coloring Book initially with following post variables...
* name: name of jpeg file for the posted picture.
* page: name of the original coloring page

Gathers information from user to include in gallery.

Posted data and user-entered data are sent on to "galsave.php".
**/
require_once 'util.php';
require_once 'form.php';
require_once 'galsettings.php';

// Request variables
$imgfile = '../'.req('name');
$key = basename($imgfile, '.jpeg');
$page = req('page');
$imgw = intVal(req('imgWidth'));
$imgh = intVal(req('imgHeight'));
list($tnw, $tnh) = scaleToFit($imgw, $imgh, THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT);
$tnfile = makeThumbNail($imgfile, $imgw, $imgh, $tnw, $tnh);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
  xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
<title>Send Coloring Page to Gallery</title>
<link rel="stylesheet" type="text/css" href="post.css" />
<link rel="stylesheet" type="text/css" href="form.css" />
<script type="text/javascript">
function setFocus() {
  var galform = document.getElementById('galform');
  if (galform) {
  	galform['<?php echo FN_PERSON; ?>'].focus();
  }
}
</script>
</head>
<body onload="setFocus();">
<div id="main">
<div class="thumbnail"><img src="<?php echo $tnfile; ?>" width="<?php echo $tnw;?>" 
height="<?php echo $tnh;?>"></div>
<div id="info">
<?php 
readfile('post.html');
formBegin('galform', 'galsave.php');
formRow(FN_PERSON, FLD_PERSON, DEF_PERSON, FT_TEXT_MEDIUM);
formRow(FN_EMAIL, FLD_EMAIL, DEF_EMAIL, FT_TEXT_LARGE);
formRow(FN_DOB, FLD_DOB, DEF_DOB, FT_DATE);
formRow(FN_LOC, FLD_LOC, DEF_LOC, FT_TEXT_MEDIUM);
formRow(FN_DESC, FLD_DESC, DEF_DESC, FT_TEXT_AREA);
formButton(ACT_SEND);

// Also, pass on extra variables to next script (galsave.php)
formHidden('key', $key);
formHidden('imgfile', $imgfile);
formHidden('imgw', $imgw);
formHidden('imgh', $imgh);
formHidden('tnfile', $tnfile);
formHidden('tnw', $tnw);
formHidden('tnh', $tnh);
formEnd();
?>
</div>
</div>
</body>
</html>
