<?php
/**
Saves the posted picture and other information to the moderation queue, then 
sends an email to the moderator.
**/
require_once 'util.php';
require_once 'galsettings.php';
require_once 'galdata.php';

// Get key and file names
$key = req('key');
$imgfile = req('imgfile');
$tnfile = req('tnfile');
$page = req('page');

// Put form variables into a gallery item and save
$gal = new GalData(DIR_QUEUE);
$gal->key = $key;
$gal->date = time();
$gal->person = req(FN_PERSON);
$gal->email = req(FN_EMAIL);
$gal->doby = req(FN_DOBY);
$gal->dobm = req(FN_DOBM);
$gal->dobd = req(FN_DOBD);
$gal->loc = req(FN_LOC);
$gal->desc = req(FN_DESC);
$gal->imgw = intVal(req(FN_IMGW));
$gal->imgh = intVal(req(FN_IMGH));
$gal->tnw = intVal(req(FN_TNW));
$gal->tnh = intVal(req(FN_TNH));
$gal->save();

// Move the image file to the moderation queue
$gal->moveImagesFrom($imgfile, $tnfile);

// Send the activation email (moderation)
$gal->sendModEmail();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
  xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
<title>Send Coloring Page to Gallery</title>
<link rel="stylesheet" type="text/css" href="post.css" />
<link rel="stylesheet" type="text/css" href="form.css" />
</head>
<body>
<div id="main">
<div class="thumbnail"><img src="<?php echo $gal->tnfile(); ?>" width="<?php echo $gal->tnw;?>" 
height="<?php echo $gal->tnh;?>"></div>
<div id="info">
<?php 
readfile('posted.html'); 
?>
<div id="close"><input type=button class="btn" value="Close This Window" onclick="javascript:window.close();"></div>
</div>
</div>
</body>
</html>
